Subject: HD device names

From: [email-masked] (Steven Robbins)
Date: Mon, 30 Mar 92 16:19:42 -0500

Naming them /dev/wdxxx seems okay to me, but why on earth is wd0c the whole
disk?  What's wrong with /dev/wd0 being all of disk zero, and /dev/wd0a being
the first partition, etc?

Now, how about floppies?  Using /dev/at0 &etc is far too arcane for me, so
I've created /dev/a1200 /dev/a720 /dev/b1440 and stuff like that.  I realize
of course that some people have different configurations, but if only the
drives that existed on the system were in /dev, then a program could figure
out what kind of floppies were around.

Actually, this reminds me of a question I had: in the directory standard,
I think it mentioned that the /dev directory should have ALL POSSIBLE devices,
and not just those that exist on the system.  What's the rationale for this?
It would seem at first glance to be more advantageous the other way, so that
programs would know what kind of peripherals existed.

Steve Z